summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xtests/install/basic-14
1 files changed, 3 insertions, 1 deletions
diff --git a/tests/install/basic-1 b/tests/install/basic-1
index c3e16b40b..86450dea5 100755
--- a/tests/install/basic-1
+++ b/tests/install/basic-1
@@ -8,7 +8,9 @@ fi
dir=dir
file=file
-test -r ../../src/dd || {
+# Skip this test if we're on a non-POSIX platform where executable's names end
+# in .exe, or we have some other problem like that.
+cat ../../src/dd > /dev/null || {
echo >&2 "$0: ../../src/dd is not readable, so can't run this test"
exit 77
}